Skip to main content
GET
/
v1
/
connect
/
{project_id}
/
users
cURL
curl --request GET \
  --url https://api.pipedream.com/v1/connect/{project_id}/users \
  --header 'Authorization: Bearer <token>' \
  --header 'x-pd-environment: <x-pd-environment>'
{
  "data": [
    {
      "id": "exu_abc123",
      "external_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "page_info": {
    "count": 10,
    "total_count": 120,
    "start_cursor": "<string>",
    "end_cursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

A short-lived OAuth access token for server-side requests. Generate one via the Generate OAuth Token flow or automatically when initializing the SDK client.

Headers

x-pd-environment
enum<string>
required

The environment in which the server client is running

Available options:
development,
production

Path Parameters

project_id
string
required

The project ID, which starts with proj_.

Pattern: ^proj_[a-zA-Z0-9]+$

Query Parameters

after
string

The cursor to start from for pagination

before
string

The cursor to end before for pagination

limit
integer

The maximum number of results to return

q
string

Filter users by external_id (partial match)

Response

users listed

data
object[]
required
page_info
object
required